## org.eclipse.datatools.sqltools.parsers.sql.lexer
Class AbstractSQLLexer

    java.lang.Object
      lpg.lpgjavaruntime.LexStream
          lpg.lpgjavaruntime.LpgLexStream
              org.eclipse.datatools.sqltools.parsers.sql.lexer.AbstractSQLLexer

All Implemented Interfaces:
  lpg.lpgjavaruntime.ParseErrorCodes, lpg.lpgjavaruntime.TokenStream

Direct Known Subclasses:
  SQLLexer

    public abstract class AbstractSQLLexer

extends lpg.lpgjavaruntime.LpgLexStream

Field Summary

Fields inherited from interface lpg.lpgjavaruntime.ParseErrorCodes
`BEFORE_CODE, DELETION_CODE, EOF_CODE, ERROR_CODE, errorMsgText, INSERTION_CODE, INVALID_CODE, INVALID_TOKEN_CODE, LEX_ERROR_CODE, MERGE_CODE, MISPLACED_CODE, SCOPE_CODE, SECONDARY_CODE, SUBSTITUTION_CODE`

Constructor Summary
`AbstractSQLLexer()`
`AbstractSQLLexer(char[] arg0, java.lang.String arg1)`
`AbstractSQLLexer(char[] arg0, java.lang.String arg1, int arg2)`
`AbstractSQLLexer(int arg0)`
`AbstractSQLLexer(lpg.lpgjavaruntime.IntSegmentedTuple arg0, char[] arg1, java.lang.String arg2)`
`AbstractSQLLexer(lpg.lpgjavaruntime.IntSegmentedTuple arg0, char[] arg1, java.lang.String arg2, int arg3)`
`AbstractSQLLexer(java.lang.String arg0)`
`AbstractSQLLexer(java.lang.String arg0, int arg1)`

Method Summary
`java.util.List` `getCommentTokens()`
`int` `getKind(int arg0)`
`abstract void` `lexer(lpg.lpgjavaruntime.PrsStream prsStream)` Lex the input characters
`void` `reportError(int left_loc, int right_loc)`

Methods inherited from class lpg.lpgjavaruntime.LpgLexStream
`orderedExportedSymbols`

Methods inherited from class lpg.lpgjavaruntime.LexStream

`afterEol, badToken, computeLineOffsets, getCharValue, getColumn, getColumnOfCharAt, getEndColumn, getEndLine, getFileName, getFirstErrorToken, getInputChars, getLastErrorToken, getLine, getLine, getLineCount, getLineNumberOfCharAt, getLineOffset, getLineOffsets, getName, getNext, getPrevious, getPrsStream, getStreamIndex, getStreamLength, getTab, getToken, getToken, initialize, initialize, makeErrorToken, makeToken, peek, reportError, reportError, reportError, reset, reset, setFileName, setInputChars, setLineOffset, setLineOffsets, setPrsStream, setStreamIndex, setStreamLength, setTab`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractSQLLexer

    public AbstractSQLLexer()

### AbstractSQLLexer

    public AbstractSQLLexer(char[] arg0,
                            java.lang.String arg1,
                            int arg2)

Parameters:
  `arg0` -
  `arg1` -
  `arg2` -

### AbstractSQLLexer

    public AbstractSQLLexer(char[] arg0,
                            java.lang.String arg1)

Parameters:
  `arg0` -
  `arg1` -

### AbstractSQLLexer

    public AbstractSQLLexer(int arg0)

Parameters:
  `arg0` -

### AbstractSQLLexer

    public AbstractSQLLexer(lpg.lpgjavaruntime.IntSegmentedTuple arg0,
                            char[] arg1,
                            java.lang.String arg2,
                            int arg3)

Parameters:
  `arg0` -
  `arg1` -
  `arg2` -
  `arg3` -

### AbstractSQLLexer

    public AbstractSQLLexer(lpg.lpgjavaruntime.IntSegmentedTuple arg0,
                            char[] arg1,
                            java.lang.String arg2)

Parameters:
  `arg0` -
  `arg1` -
  `arg2` -

### AbstractSQLLexer

    public AbstractSQLLexer(java.lang.String arg0,
                            int arg1)
                     throws java.io.IOException

Parameters:
  `arg0` -
  `arg1` -
Throws:
  `java.io.IOException`

### AbstractSQLLexer

    public AbstractSQLLexer(java.lang.String arg0)
                     throws java.io.IOException

Parameters:
  `arg0` -
Throws:
  `java.io.IOException`

Method Detail

### lexer

    public abstract void lexer(lpg.lpgjavaruntime.PrsStream prsStream)

  Lex the input characters

  Parameters:
    `prsStream` - Parser where the tokens are sent to

### getCommentTokens

    public java.util.List getCommentTokens()

### reportError

    public void reportError(int left_loc,
                            int right_loc)

  Specified by:
    `reportError` in interface `lpg.lpgjavaruntime.TokenStream`
  Overrides:
    `reportError` in class `lpg.lpgjavaruntime.LexStream`

### getKind

    public int getKind(int arg0)

  Specified by:
    `getKind` in interface `lpg.lpgjavaruntime.TokenStream`
  Specified by:
    `getKind` in class `lpg.lpgjavaruntime.LpgLexStream`